<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Transaksi_model extends CI_Model
{

    public $table = 'tbl_transaksi';
	public $view = 'view_transaksi';
    public $id = 'id_prospect';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all($condition="",$like=0)
    {
		if($condition!=""){
			if($like==1)
				$this->db->like($condition);	
			else	
				$this->db->where($condition);
		}
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->view)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->view)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->db->like('id_transaksi', $q);
	$this->db->or_like('id_konsumen', $q);
	$this->db->or_like('id_user', $q);
	$this->db->or_like('sales', $q);
	$this->db->or_like('depot', $q);
	$this->db->or_like('tanggal_transaksi', $q);
	$this->db->or_like('kelas_a', $q);
	$this->db->or_like('harga_a', $q);
	$this->db->or_like('kelas_b', $q);
	$this->db->or_like('harga_b', $q);
	$this->db->or_like('kelas_c', $q);
	$this->db->or_like('harga_c', $q);
	$this->db->or_like('kelas_d', $q);
	$this->db->or_like('harga_d', $q);
	$this->db->or_like('kelas_spr', $q);
	$this->db->or_like('harga_spr', $q);
	$this->db->or_like('kelas_ist', $q);
	$this->db->or_like('harga_ist', $q);
	$this->db->or_like('lain_lain', $q);
	$this->db->or_like('uang_muka', $q);
	$this->db->or_like('tgl_kirim', $q);
	$this->db->or_like('alamat_kirim', $q);
	$this->db->or_like('keterangan', $q);
	$this->db->from($this->view);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('id_transaksi', $q);
	$this->db->or_like('id_konsumen', $q);
	$this->db->or_like('id_user', $q);
	$this->db->or_like('sales', $q);
	$this->db->or_like('depot', $q);
	$this->db->or_like('tanggal_transaksi', $q);
	$this->db->or_like('kelas_a', $q);
	$this->db->or_like('harga_a', $q);
	$this->db->or_like('kelas_b', $q);
	$this->db->or_like('harga_b', $q);
	$this->db->or_like('kelas_c', $q);
	$this->db->or_like('harga_c', $q);
	$this->db->or_like('kelas_d', $q);
	$this->db->or_like('harga_d', $q);
	$this->db->or_like('kelas_spr', $q);
	$this->db->or_like('harga_spr', $q);
	$this->db->or_like('kelas_ist', $q);
	$this->db->or_like('harga_ist', $q);
	$this->db->or_like('lain_lain', $q);
	$this->db->or_like('uang_muka', $q);
	$this->db->or_like('tgl_kirim', $q);
	$this->db->or_like('alamat_kirim', $q);
	$this->db->or_like('keterangan', $q);
	$this->db->limit($limit, $start);
        return $this->db->get($this->view)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }

}

/* End of file Transaksi_model.php */
/* Location: ./application/models/Transaksi_model.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-08-17 17:11:04 */
/* http://harviacode.com */